Skip to navigation

Get ProcedureMethodExecutionInstance by ID

Beta
Get a single ProcedureMethodExecutionInstance by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

procedure_method_execution_instance_idstringRequired
ID of the ProcedureMethodExecutionInstance.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
dataParameterActualValuesstringOptionalformat: "uri"
dataParameterConfirmationValuesstringOptionalformat: "uri"
dataParameterPlannedValuesstringOptionalformat: "uri"
Source of truth for this specific PMEI's planned data parameter values, with any condition overrides.
equipmentConfirmationValuesstringOptionalformat: "uri"
equipmentPlannedValuesstringOptionalformat: "uri"
Source of truth for this specific PMEI's planned equipment values, with any condition overrides.
idstringOptional
materialInputConfirmationValuesstringOptionalformat: "uri"
materialInputPlannedValuesstringOptionalformat: "uri"

Source of truth for this specific PMEI’s planned material input values, with any condition overrides.

Note: This will not include any process intermediate values when previous methods have not yet been completed.

materialOutputConfirmationValuesstringOptionalformat: "uri"
modifiedAtstringOptional
procedureRunobjectOptional
procedureRunConditionReplicateobjectOptional
stepGroupslist of objectsOptional
taskTransitionExtensionslist of objectsOptional
templateMethodVersionobjectOptional

The “template” method version represents the PMDV on the procedure template that this PMEI is based on.

In most cases this is equivalent to the planMethodVersion. They only differ on older legacy ProcedureRuns, where “plan” PMDVs belong to a legacy “plan” ProcedureFlowchart model and we compiled a dedicated ProcedureFlowchart for this run (with its own PMDVs) based on the template’s legacy ProcedureFlowchart.

Do not directly use the parameter planned values from this PMDV. dataParameterPlannedValues, materialInputPlannedValues, and equipmentPlannedValues on the PMEI itself are the source of truth instead, since they account for experiment planning condition overrides that are not reflected on the PMDV.

Do not use the confirmation methods from the parameter versions in this PMDV. parameterConfirmationMethods on the PMEI itself is the source of truth instead, since it accounts for experiment planning condition overrides that are not reflected on the PMDV.

Errors

400
Procedure Method Execution Instance Get Request Bad Request Error
403
Procedure Method Execution Instance Get Request Forbidden Error
404
Procedure Method Execution Instance Get Request Not Found Error
429
Procedure Method Execution Instance Get Request Too Many Requests Error
500
Procedure Method Execution Instance Get Request Internal Server Error